Bug 987843 - (python-bloom) Review Request: python-bloom - A ROS release automation tool for catkin packages
Review Request: python-bloom - A ROS release automation tool for catkin packages
Status: CLOSED DUPLICATE of bug 1084865
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 05:34 EDT by Ankur Sinha (FranciscoD)
Modified: 2014-04-07 01:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-07 01:26:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
richmattes: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-07-24 05:34:04 EDT
Spec URL: http://ankursinha.fedorapeople.org/python-bloom/python-bloom.spec
SRPM URL: http://ankursinha.fedorapeople.org/python-bloom/python-bloom-0.4.4-1.fc20.src.rpm

Description: 
Fedora Account System Username: ankursinha

rpmlint output:

[asinha@localhost  SRPMS]$ rpmlint ../SPECS/python-bloom.spec /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm ./python-bloom-0.4.4-1.fc19.src.rpm
../SPECS/python-bloom.spec:43: W: macro-in-comment %check
../SPECS/python-bloom.spec:44: W: macro-in-comment %{__python}
python-bloom.noarch: W: spelling-error %description -l en_US gitbuildpackage -> prepackage
python-bloom.noarch: W: devel-file-in-non-devel-package /usr/bin/git-bloom-config
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-generate
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-import-upstream
python-bloom.noarch: W: no-manual-page-for-binary bloom-generate
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-branch
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-release
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-patch
python-bloom.noarch: W: no-manual-page-for-binary bloom-update
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-config
python-bloom.noarch: W: no-manual-page-for-binary bloom-export-upstream
python-bloom.noarch: W: no-manual-page-for-binary bloom-release
python-bloom.src: W: spelling-error %description -l en_US gitbuildpackage -> prepackage
python-bloom.src:43: W: macro-in-comment %check
python-bloom.src:44: W: macro-in-comment %{__python}
python-bloom.src: W: spelling-error %description -l en_US gitbuildpackage -> prepackage
python-bloom.src:43: W: macro-in-comment %check
python-bloom.src:44: W: macro-in-comment %{__python}
3 packages and 1 specfiles checked; 0 errors, 20 warnings.
[asinha@localhost  SRPMS]$


Haven't been able to build the docs yet.
Comment 1 Rich Mattes 2013-07-24 08:59:48 EDT
I'll take this for review.
Comment 2 Ankur Sinha (FranciscoD) 2013-07-24 23:01:33 EDT
Rich, based on the discussion on the ROS build sys ML, I don't think bloom can function on Fedora at all. Until one of us comes up with a Fedora generator, this package is mostly unusable. What do you think? Should I mark the whiteboard as NotReady?
Comment 3 Rich Mattes 2014-02-11 18:37:32 EST
With the development of the RPM generators, I think it would be good to pick this back up.
Comment 4 Scott K Logan 2014-03-04 15:47:09 EST
I really don't mean to hijack this request in any way, but I'd like to get this package pushed ASAP.

Bloom 0.5.1 includes my preliminary RPM generation code, but I honestly believe that this would be of use in Fedora even without it. The debian generation can happen on Fedora without any problems, which means that someone could use bloom to release and maintain their package from Fedora. As someone who does just that, I can say that it would be nice not to need to pip install.

In any case, I made an RPM for myself a while ago, and was updating it to make a package request when I found this one. I'll post my package here, and you can use it or parts of it if you like, Ankur.

Either way, please note that there are quite a few missing runtime dependencies on the spec you posted...

Spec URL: http://cottsay.fedorapeople.org/python-bloom/python-bloom.spec
SRPM URL: http://cottsay.fedorapeople.org/python-bloom/python-bloom-0.5.1-1.fc20.src.rpm

Description: 
Fedora Account System Username: cottsay

rpmlint output:
python-bloom.src: W: spelling-error %description -l en_US buildpackage -> build package, build-package, prepackage
python-bloom.src: W: spelling-error %description -l en_US debian's -> Debian's
python-bloom.src: W: spelling-error %description -l en_US src -> arc, sec, sic
python-bloom.noarch: W: spelling-error %description -l en_US buildpackage -> build package, build-package, prepackage
python-bloom.noarch: W: spelling-error %description -l en_US debian's -> Debian's
python-bloom.noarch: W: spelling-error %description -l en_US src -> arc, sec, sic
python-bloom.noarch: W: devel-file-in-non-devel-package /usr/bin/git-bloom-config
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-generate
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-import-upstream
python-bloom.noarch: W: no-manual-page-for-binary bloom-generate
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-branch
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-release
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-patch
python-bloom.noarch: W: no-manual-page-for-binary bloom-update
python-bloom.noarch: W: no-manual-page-for-binary git-bloom-config
python-bloom.noarch: W: no-manual-page-for-binary bloom-export-upstream
python-bloom.noarch: W: no-manual-page-for-binary bloom-release
2 packages and 1 specfiles checked; 0 errors, 17 warnings.

Thanks,

--scott
Comment 5 Ankur Sinha (FranciscoD) 2014-03-04 19:57:42 EST
Scott, 

Please take over the review if you want to. I don't have cycles to work on this for a few weeks. I can co-maintain the package with you if you wish.

Thanks,
Ankur
Comment 6 Ankur Sinha (FranciscoD) 2014-03-04 20:00:23 EST
If possible, please split out the deb and rpm generators into subpackages, so that one can install whichever they need and not the entire thing. So you'll have something like:

python-bloom-common - files common to both
python-bloom-deb - deb generator
python-bloom-rpm - rpm generator

and the python-bloom main meta-package, which pulls them all in.
Comment 7 Scott K Logan 2014-03-04 20:03:23 EST
As it happens, this will not be possible. When someone uses git-bloom-release, a list of commands is run to generate the package. If we don't install the other generators, this will fail, eliminating the possibility of running git-bloom-release. git-bloom-generate would function correctly, though.

Unless you can see a way around this, I don't think this is possible.

I'm not sure you'd ever want to do them separately, anyway. If a ROS package maintainer wants to release a new version, they'll want to release it for debain and rpm distros, which can currently be done from either Fedora or Ubuntu without issue.
Comment 8 Scott K Logan 2014-03-04 20:09:11 EST
I should have posted this earlier, but here [1] is the generation command list I was talking about.
RPM generation will be a part of it as soon as the required pulls in rosdep [2] and rosdistro [3] happen.

Thanks,

--scott

[1] https://github.com/ros-infrastructure/bloom/blob/master/bloom/config.py#L191-L200
[2] https://github.com/ros-infrastructure/rosdep/pull/302
[3] https://github.com/ros/rosdistro/pull/3202
Comment 9 Rich Mattes 2014-04-06 11:41:22 EDT
Scott, can you open a new review request and mark this request as a duplicate, as per the stalled package review policy?  I'll review the package once that's done.
Comment 10 Scott K Logan 2014-04-07 01:26:55 EDT
New request is open.

*** This bug has been marked as a duplicate of bug 1084865 ***

Note You need to log in before you can comment on or make changes to this bug.